Table of Contents

Class: StatusNode | Twisted-0.17.4/twisted/words/ui/tkim.py
--- | ---

Base Classes |
--- | ---
tktree.Node

Methods |
--- | ---
__init__ addUser delUser getName getSubNodes hasUser isExpandable updateName updateStatus
| __init__

    __init__ ( self,  type )

| addUser

    addUser (
            self,
            user,
            status,
            )

| delUser

    delUser ( self,  user )

| getName

    getName ( self )

| getSubNodes

    getSubNodes ( self )

| hasUser

    hasUser ( self,  user )

| isExpandable

    isExpandable ( self )

| updateName

    updateName (
            self,
            olduser,
            newuser,
            )

| updateStatus

    updateStatus (
            self,
            user,
            status,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:03 2002 by HappyDoc version 2.0